v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/lotsbykittype/sdfs/{sdfType}/{sdfId}
Retrieves Kit Type by lot for the site. Rights: LotManagementGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
sdfId(required): string
Site ID.Example:
A0B1C2D3E4F5064789A0B1C2D3E4F506 -
sdfType(required): string
Type of SDF: sites or depots.Example:
site -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
-
srcDepotId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical depotExample:
8C7A6B5D4E3F2109876543210ABCDEF0
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Kit Lot Details
Type:
objectTitle:
Kit Lot DetailsContains kit types with lots information.
Show Source
Nested Schema : kitTypes
Type:
Show Source
array-
Array of:
object Kit Type Lots
Title:
Kit Type LotsKit type with lots.
Example:
[
{
"kitTypeSrcId":"B1B8327AFAA6412287106192AB5984EF",
"lots":[
{
"quantity":10,
"lotId":"1873CDF69E9B48B89B2D9E7951057D09",
"effectiveExpirationDate":"2027-12-31T00:00:00Z",
"lotName":"LOT-1001"
}
]
}
]Nested Schema : Kit Type Lots
Type:
objectTitle:
Kit Type LotsKit type with lots.
Show Source
-
kitTypeSrcId: string
(uuid)
Title:
Kit Type Source IDKit type ID. -
lots: array
lots
Example:
[
{
"kitTypeSrcId":"B1B8327AFAA6412287106192AB5984EF",
"lots":[
{
"quantity":10,
"lotId":"1873CDF69E9B48B89B2D9E7951057D09",
"effectiveExpirationDate":"2027-12-31T00:00:00Z",
"lotName":"LOT-1001"
}
]
}
]Nested Schema : lots
Type:
Show Source
array-
Array of:
object Lots
Title:
LotsContains lot details for kits.
Example:
[
{
"quantity":10,
"lotId":"1873CDF69E9B48B89B2D9E7951057D09",
"effectiveExpirationDate":"2027-12-31T00:00:00Z",
"lotName":"LOT-1001"
}
]Nested Schema : Lots
Type:
objectTitle:
LotsContains lot details for kits.
Show Source
-
effectiveExpirationDate: string
(date-time)
Title:
Effective Expiration DateEffective expiration date. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
lotName: string
Title:
Lot NameLot name.Example:Lot01 -
quantity: number
(BigDecimal)
Title:
QuantityKit quantity.Example:10
Example:
[
{
"quantity":10,
"lotId":"1873CDF69E9B48B89B2D9E7951057D09",
"effectiveExpirationDate":"2027-12-31T00:00:00Z",
"lotName":"LOT-1001"
}
]Examples
403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples